from ...symbols import ORTH


_exc = {
    # หน่วยงานรัฐ / government agency
    "กกต.": [{ORTH: "กกต."}],
    "กทท.": [{ORTH: "กทท."}],
    "กทพ.": [{ORTH: "กทพ."}],
    "กบข.": [{ORTH: "กบข."}],
    "กบว.": [{ORTH: "กบว."}],
    "กปน.": [{ORTH: "กปน."}],
    "กปภ.": [{ORTH: "กปภ."}],
    "กปส.": [{ORTH: "กปส."}],
    "กผม.": [{ORTH: "กผม."}],
    "กฟน.": [{ORTH: "กฟน."}],
    "กฟผ.": [{ORTH: "กฟผ."}],
    "กฟภ.": [{ORTH: "กฟภ."}],
    "ก.ช.น.": [{ORTH: "ก.ช.น."}],
    "กยศ.": [{ORTH: "กยศ."}],
    "ก.ล.ต.": [{ORTH: "ก.ล.ต."}],
    "กศ.บ.": [{ORTH: "กศ.บ."}],
    "กศน.": [{ORTH: "กศน."}],
    "กสท.": [{ORTH: "กสท."}],
    "กอ.รมน.": [{ORTH: "กอ.รมน."}],
    "กร.": [{ORTH: "กร."}],
    "ขสมก.": [{ORTH: "ขสมก."}],
    "คตง.": [{ORTH: "คตง."}],
    "ครม.": [{ORTH: "ครม."}],
    "คมช.": [{ORTH: "คมช."}],
    "ตชด.": [{ORTH: "ตชด."}],
    "ตม.": [{ORTH: "ตม."}],
    "ตร.": [{ORTH: "ตร."}],
    "ททท.": [{ORTH: "ททท."}],
    "ททบ.": [{ORTH: "ททบ."}],
    "ทบ.": [{ORTH: "ทบ."}],
    "ทร.": [{ORTH: "ทร."}],
    "ทอ.": [{ORTH: "ทอ."}],
    "ทอท.": [{ORTH: "ทอท."}],
    "ธ.ก.ส.": [{ORTH: "ธ.ก.ส."}],
    "ธปท.": [{ORTH: "ธปท."}],
    "ธอส.": [{ORTH: "ธอส."}],
    "นย.": [{ORTH: "นย."}],
    "ปตท.": [{ORTH: "ปตท."}],
    "ป.ป.ช.": [{ORTH: "ป.ป.ช."}],
    "ป.ป.ส.": [{ORTH: "ป.ป.ส."}],
    "บพร.": [{ORTH: "บพร."}],
    "บย.": [{ORTH: "บย."}],
    "พสวท.": [{ORTH: "พสวท."}],
    "มอก.": [{ORTH: "มอก."}],
    "ยธ.": [{ORTH: "ยธ."}],
    "รพช.": [{ORTH: "รพช."}],
    "รฟท.": [{ORTH: "รฟท."}],
    "รฟม.": [{ORTH: "รฟม."}],
    "ศธ.": [{ORTH: "ศธ."}],
    "ศนธ.": [{ORTH: "ศนธ."}],
    "สกจ.": [{ORTH: "สกจ."}],
    "สกท.": [{ORTH: "สกท."}],
    "สกว.": [{ORTH: "สกว."}],
    "สคบ.": [{ORTH: "สคบ."}],
    "สจร.": [{ORTH: "สจร."}],
    "สตง.": [{ORTH: "สตง."}],
    "สทท.": [{ORTH: "สทท."}],
    "สทร.": [{ORTH: "สทร."}],
    "สธ": [{ORTH: "สธ"}],
    "สนช.": [{ORTH: "สนช."}],
    "สนนท.": [{ORTH: "สนนท."}],
    "สปก.": [{ORTH: "สปก."}],
    "สปช.": [{ORTH: "สปช."}],
    "สปอ.": [{ORTH: "สปอ."}],
    "สพช.": [{ORTH: "สพช."}],
    "สยช.": [{ORTH: "สยช."}],
    "สวช.": [{ORTH: "สวช."}],
    "สวท.": [{ORTH: "สวท."}],
    "สวทช.": [{ORTH: "สวทช."}],
    "สคช.": [{ORTH: "สคช."}],
    "สสว.": [{ORTH: "สสว."}],
    "สสส.": [{ORTH: "สสส."}],
    "สสวท.": [{ORTH: "สสวท."}],
    "อตก.": [{ORTH: "อตก."}],
    "อบจ.": [{ORTH: "อบจ."}],
    "อบต.": [{ORTH: "อบต."}],
    "อปพร.": [{ORTH: "อปพร."}],
    "อย.": [{ORTH: "อย."}],
    "อ.ส.ม.ท.": [{ORTH: "อ.ส.ม.ท."}],
    # มหาวิทยาลัย / สถานศึกษา / university / college
    "มทส.": [{ORTH: "มทส."}],
    "มธ.": [{ORTH: "มธ."}],
    "ม.อ.": [{ORTH: "ม.อ."}],
    "มทร.": [{ORTH: "มทร."}],
    "มมส.": [{ORTH: "มมส."}],
    "วท.": [{ORTH: "วท."}],
    "สตม.": [{ORTH: "สตม."}],
    # ยศ / rank
    "ดร.": [{ORTH: "ดร."}],
    "ด.ต.": [{ORTH: "ด.ต."}],
    "จ.ต.": [{ORTH: "จ.ต."}],
    "จ.ท.": [{ORTH: "จ.ท."}],
    "จ.ส.ต.": [{ORTH: "จ.ส.ต."}],
    "จสต.": [{ORTH: "จสต."}],
    "จ.ส.ท.": [{ORTH: "จ.ส.ท."}],
    "จ.ส.อ.": [{ORTH: "จ.ส.อ."}],
    "จ.อ.": [{ORTH: "จ.อ."}],
    "ทพญ.": [{ORTH: "ทพญ."}],
    "ทนพ.": [{ORTH: "ทนพ."}],
    "นจอ.": [{ORTH: "นจอ."}],
    "น.ช.": [{ORTH: "น.ช."}],
    "น.ญ.": [{ORTH: "น.ญ."}],
    "น.ต.": [{ORTH: "น.ต."}],
    "น.ท.": [{ORTH: "น.ท."}],
    "นตท.": [{ORTH: "นตท."}],
    "นนส.": [{ORTH: "นนส."}],
    "นนร.": [{ORTH: "นนร."}],
    "นนอ.": [{ORTH: "นนอ."}],
    "นพ.": [{ORTH: "นพ."}],
    "นพท.": [{ORTH: "นพท."}],
    "นรจ.": [{ORTH: "นรจ."}],
    "นรต.": [{ORTH: "นรต."}],
    "นศพ.": [{ORTH: "นศพ."}],
    "นศท.": [{ORTH: "นศท."}],
    "น.สพ.": [{ORTH: "น.สพ."}],
    "น.อ.": [{ORTH: "น.อ."}],
    "บช.ก.": [{ORTH: "บช.ก."}],
    "บช.น.": [{ORTH: "บช.น."}],
    "ผกก.": [{ORTH: "ผกก."}],
    "ผกก.ภ.": [{ORTH: "ผกก.ภ."}],
    "ผจก.": [{ORTH: "ผจก."}],
    "ผช.": [{ORTH: "ผช."}],
    "ผชก.": [{ORTH: "ผชก."}],
    "ผช.ผอ.": [{ORTH: "ผช.ผอ."}],
    "ผญบ.": [{ORTH: "ผญบ."}],
    "ผบ.": [{ORTH: "ผบ."}],
    "ผบก.": [{ORTH: "ผบก."}],
    "ผบก.น.": [{ORTH: "ผบก.น."}],
    "ผบก.ป.": [{ORTH: "ผบก.ป."}],
    "ผบก.ปค.": [{ORTH: "ผบก.ปค."}],
    "ผบก.ปม.": [{ORTH: "ผบก.ปม."}],
    "ผบก.ภ.": [{ORTH: "ผบก.ภ."}],
    "ผบช.": [{ORTH: "ผบช."}],
    "ผบช.ก.": [{ORTH: "ผบช.ก."}],
    "ผบช.ตชด.": [{ORTH: "ผบช.ตชด."}],
    "ผบช.น.": [{ORTH: "ผบช.น."}],
    "ผบช.ภ.": [{ORTH: "ผบช.ภ."}],
    "ผบ.ทบ.": [{ORTH: "ผบ.ทบ."}],
    "ผบ.ตร.": [{ORTH: "ผบ.ตร."}],
    "ผบ.ทร.": [{ORTH: "ผบ.ทร."}],
    "ผบ.ทอ.": [{ORTH: "ผบ.ทอ."}],
    "ผบ.ทสส.": [{ORTH: "ผบ.ทสส."}],
    "ผวจ.": [{ORTH: "ผวจ."}],
    "ผู้ว่าฯ": [{ORTH: "ผู้ว่าฯ"}],
    "พ.จ.ต.": [{ORTH: "พ.จ.ต."}],
    "พ.จ.ท.": [{ORTH: "พ.จ.ท."}],
    "พ.จ.อ.": [{ORTH: "พ.จ.อ."}],
    "พญ.": [{ORTH: "พญ."}],
    "ฯพณฯ": [{ORTH: "ฯพณฯ"}],
    "พ.ต.": [{ORTH: "พ.ต."}],
    "พ.ท.": [{ORTH: "พ.ท."}],
    "พ.อ.": [{ORTH: "พ.อ."}],
    "พ.ต.อ.พิเศษ": [{ORTH: "พ.ต.อ.พิเศษ"}],
    "พลฯ": [{ORTH: "พลฯ"}],
    "พล.๑ รอ.": [{ORTH: "พล.๑ รอ."}],
    "พล.ต.": [{ORTH: "พล.ต."}],
    "พล.ต.ต.": [{ORTH: "พล.ต.ต."}],
    "พล.ต.ท.": [{ORTH: "พล.ต.ท."}],
    "พล.ต.อ.": [{ORTH: "พล.ต.อ."}],
    "พล.ท.": [{ORTH: "พล.ท."}],
    "พล.ปตอ.": [{ORTH: "พล.ปตอ."}],
    "พล.ม.": [{ORTH: "พล.ม."}],
    "พล.ม.๒": [{ORTH: "พล.ม.๒"}],
    "พล.ร.ต.": [{ORTH: "พล.ร.ต."}],
    "พล.ร.ท.": [{ORTH: "พล.ร.ท."}],
    "พล.ร.อ.": [{ORTH: "พล.ร.อ."}],
    "พล.อ.": [{ORTH: "พล.อ."}],
    "พล.อ.ต.": [{ORTH: "พล.อ.ต."}],
    "พล.อ.ท.": [{ORTH: "พล.อ.ท."}],
    "พล.อ.อ.": [{ORTH: "พล.อ.อ."}],
    "พ.อ.พิเศษ": [{ORTH: "พ.อ.พิเศษ"}],
    "พ.อ.ต.": [{ORTH: "พ.อ.ต."}],
    "พ.อ.ท.": [{ORTH: "พ.อ.ท."}],
    "พ.อ.อ.": [{ORTH: "พ.อ.อ."}],
    "ภกญ.": [{ORTH: "ภกญ."}],
    "ม.จ.": [{ORTH: "ม.จ."}],
    "มท1": [{ORTH: "มท1"}],
    "ม.ร.ว.": [{ORTH: "ม.ร.ว."}],
    "มล.": [{ORTH: "มล."}],
    "ร.ต.": [{ORTH: "ร.ต."}],
    "ร.ต.ต.": [{ORTH: "ร.ต.ต."}],
    "ร.ต.ท.": [{ORTH: "ร.ต.ท."}],
    "ร.ต.อ.": [{ORTH: "ร.ต.อ."}],
    "ร.ท.": [{ORTH: "ร.ท."}],
    "รมช.": [{ORTH: "รมช."}],
    "รมต.": [{ORTH: "รมต."}],
    "รมว.": [{ORTH: "รมว."}],
    "รศ.": [{ORTH: "รศ."}],
    "ร.อ.": [{ORTH: "ร.อ."}],
    "ศ.": [{ORTH: "ศ."}],
    "ส.ต.": [{ORTH: "ส.ต."}],
    "ส.ต.ต.": [{ORTH: "ส.ต.ต."}],
    "ส.ต.ท.": [{ORTH: "ส.ต.ท."}],
    "ส.ต.อ.": [{ORTH: "ส.ต.อ."}],
    "ส.ท.": [{ORTH: "ส.ท."}],
    "สพ.": [{ORTH: "สพ."}],
    "สพ.ญ.": [{ORTH: "สพ.ญ."}],
    "สพ.ช.": [{ORTH: "สพ.ช."}],
    "ส.อ.": [{ORTH: "ส.อ."}],
    "อจ.": [{ORTH: "อจ."}],
    "อจญ.": [{ORTH: "อจญ."}],
    # วุฒิ / bachelor degree
    "ป.": [{ORTH: "ป."}],
    "ป.กศ.": [{ORTH: "ป.กศ."}],
    "ป.กศ.สูง": [{ORTH: "ป.กศ.สูง"}],
    "ปวช.": [{ORTH: "ปวช."}],
    "ปวท.": [{ORTH: "ปวท."}],
    "ปวส.": [{ORTH: "ปวส."}],
    "ปทส.": [{ORTH: "ปทส."}],
    "กษ.บ.": [{ORTH: "กษ.บ."}],
    "กษ.ม.": [{ORTH: "กษ.ม."}],
    "กษ.ด.": [{ORTH: "กษ.ด."}],
    "ค.บ.": [{ORTH: "ค.บ."}],
    "คศ.บ.": [{ORTH: "คศ.บ."}],
    "คศ.ม.": [{ORTH: "คศ.ม."}],
    "คศ.ด.": [{ORTH: "คศ.ด."}],
    "ค.อ.บ.": [{ORTH: "ค.อ.บ."}],
    "ค.อ.ม.": [{ORTH: "ค.อ.ม."}],
    "ค.อ.ด.": [{ORTH: "ค.อ.ด."}],
    "ทก.บ.": [{ORTH: "ทก.บ."}],
    "ทก.ม.": [{ORTH: "ทก.ม."}],
    "ทก.ด.": [{ORTH: "ทก.ด."}],
    "ท.บ.": [{ORTH: "ท.บ."}],
    "ท.ม.": [{ORTH: "ท.ม."}],
    "ท.ด.": [{ORTH: "ท.ด."}],
    "น.บ.": [{ORTH: "น.บ."}],
    "น.ม.": [{ORTH: "น.ม."}],
    "น.ด.": [{ORTH: "น.ด."}],
    "นศ.บ.": [{ORTH: "นศ.บ."}],
    "นศ.ม.": [{ORTH: "นศ.ม."}],
    "นศ.ด.": [{ORTH: "นศ.ด."}],
    "บช.บ.": [{ORTH: "บช.บ."}],
    "บช.ม.": [{ORTH: "บช.ม."}],
    "บช.ด.": [{ORTH: "บช.ด."}],
    "บธ.บ.": [{ORTH: "บธ.บ."}],
    "บธ.ม.": [{ORTH: "บธ.ม."}],
    "บธ.ด.": [{ORTH: "บธ.ด."}],
    "พณ.บ.": [{ORTH: "พณ.บ."}],
    "พณ.ม.": [{ORTH: "พณ.ม."}],
    "พณ.ด.": [{ORTH: "พณ.ด."}],
    "พ.บ.": [{ORTH: "พ.บ."}],
    "พ.ม.": [{ORTH: "พ.ม."}],
    "พ.ด.": [{ORTH: "พ.ด."}],
    "พธ.บ.": [{ORTH: "พธ.บ."}],
    "พธ.ม.": [{ORTH: "พธ.ม."}],
    "พธ.ด.": [{ORTH: "พธ.ด."}],
    "พบ.บ.": [{ORTH: "พบ.บ."}],
    "พบ.ม.": [{ORTH: "พบ.ม."}],
    "พบ.ด.": [{ORTH: "พบ.ด."}],
    "พย.บ.": [{ORTH: "พย.บ."}],
    "พย.ม.": [{ORTH: "พย.ม."}],
    "พย.ด.": [{ORTH: "พย.ด."}],
    "พศ.บ.": [{ORTH: "พศ.บ."}],
    "พศ.ม.": [{ORTH: "พศ.ม."}],
    "พศ.ด.": [{ORTH: "พศ.ด."}],
    "ภ.บ.": [{ORTH: "ภ.บ."}],
    "ภ.ม.": [{ORTH: "ภ.ม."}],
    "ภ.ด.": [{ORTH: "ภ.ด."}],
    "ภ.สถ.บ.": [{ORTH: "ภ.สถ.บ."}],
    "รป.บ.": [{ORTH: "รป.บ."}],
    "รป.ม.": [{ORTH: "รป.ม."}],
    "วท.บ.": [{ORTH: "วท.บ."}],
    "วท.ม.": [{ORTH: "วท.ม."}],
    "วท.ด.": [{ORTH: "วท.ด."}],
    "ศ.บ.": [{ORTH: "ศ.บ."}],
    "ศศ.บ.": [{ORTH: "ศศ.บ."}],
    "ศษ.บ.": [{ORTH: "ศษ.บ."}],
    "ศส.บ.": [{ORTH: "ศส.บ."}],
    "สถ.บ.": [{ORTH: "สถ.บ."}],
    "สถ.ม.": [{ORTH: "สถ.ม."}],
    "สถ.ด.": [{ORTH: "สถ.ด."}],
    "สพ.บ.": [{ORTH: "สพ.บ."}],
    "อ.บ.": [{ORTH: "อ.บ."}],
    "อ.ม.": [{ORTH: "อ.ม."}],
    "อ.ด.": [{ORTH: "อ.ด."}],
    # ปี / เวลา / year / time
    "ชม.": [{ORTH: "ชม."}],
    "จ.ศ.": [{ORTH: "จ.ศ."}],
    "ค.ศ.": [{ORTH: "ค.ศ."}],
    "ฮ.ศ.": [{ORTH: "ฮ.ศ."}],
    "ว.ด.ป.": [{ORTH: "ว.ด.ป."}],
    # ระยะทาง / distance
    "ฮม.": [{ORTH: "ฮม."}],
    "ดคม.": [{ORTH: "ดคม."}],
    "ดม.": [{ORTH: "ดม."}],
    "มม.": [{ORTH: "มม."}],
    "ซม.": [{ORTH: "ซม."}],
    "กม.": [{ORTH: "กม."}],
    # น้ำหนัก / weight
    "น.น.": [{ORTH: "น.น."}],
    "ฮก.": [{ORTH: "ฮก."}],
    "ดคก.": [{ORTH: "ดคก."}],
    "ดก.": [{ORTH: "ดก."}],
    "ซก.": [{ORTH: "ซก."}],
    "มก.": [{ORTH: "มก."}],
    "ก.": [{ORTH: "ก."}],
    "กก.": [{ORTH: "กก."}],
    # ปริมาตร / volume
    "ฮล.": [{ORTH: "ฮล."}],
    "ดคล.": [{ORTH: "ดคล."}],
    "ดล.": [{ORTH: "ดล."}],
    "ซล.": [{ORTH: "ซล."}],
    "ล.": [{ORTH: "ล."}],
    "กล.": [{ORTH: "กล."}],
    "ลบ.": [{ORTH: "ลบ."}],
    # พื้นที่ / area
    "ตร.ซม.": [{ORTH: "ตร.ซม."}],
    "ตร.ม.": [{ORTH: "ตร.ม."}],
    "ตร.ว.": [{ORTH: "ตร.ว."}],
    "ตร.กม.": [{ORTH: "ตร.กม."}],
    # เดือน / month
    "ม.ค.": [{ORTH: "ม.ค."}],
    "ก.พ.": [{ORTH: "ก.พ."}],
    "มี.ค.": [{ORTH: "มี.ค."}],
    "เม.ย.": [{ORTH: "เม.ย."}],
    "พ.ค.": [{ORTH: "พ.ค."}],
    "มิ.ย.": [{ORTH: "มิ.ย."}],
    "ก.ค.": [{ORTH: "ก.ค."}],
    "ส.ค.": [{ORTH: "ส.ค."}],
    "ก.ย.": [{ORTH: "ก.ย."}],
    "ต.ค.": [{ORTH: "ต.ค."}],
    "พ.ย.": [{ORTH: "พ.ย."}],
    "ธ.ค.": [{ORTH: "ธ.ค."}],
    # เพศ / gender
    "ช.": [{ORTH: "ช."}],
    "ญ.": [{ORTH: "ญ."}],
    "ด.ช.": [{ORTH: "ด.ช."}],
    "ด.ญ.": [{ORTH: "ด.ญ."}],
    # ที่อยู่ / address
    "ถ.": [{ORTH: "ถ."}],
    "ต.": [{ORTH: "ต."}],
    "อ.": [{ORTH: "อ."}],
    "จ.": [{ORTH: "จ."}],
    # สรรพนาม / pronoun
    "ข้าฯ": [{ORTH: "ข้าฯ"}],
    "ทูลเกล้าฯ": [{ORTH: "ทูลเกล้าฯ"}],
    "น้อมเกล้าฯ": [{ORTH: "น้อมเกล้าฯ"}],
    "โปรดเกล้าฯ": [{ORTH: "โปรดเกล้าฯ"}],
    # การเมือง / politic
    "ขจก.": [{ORTH: "ขจก."}],
    "ขบด.": [{ORTH: "ขบด."}],
    "นปช.": [{ORTH: "นปช."}],
    "ปชป.": [{ORTH: "ปชป."}],
    "ผกค.": [{ORTH: "ผกค."}],
    "พท.": [{ORTH: "พท."}],
    "พ.ร.ก.": [{ORTH: "พ.ร.ก."}],
    "พ.ร.ฎ.": [{ORTH: "พ.ร.ฎ."}],
    "พ.ร.บ.": [{ORTH: "พ.ร.บ."}],
    "รธน.": [{ORTH: "รธน."}],
    "รบ.": [{ORTH: "รบ."}],
    "รสช.": [{ORTH: "รสช."}],
    "ส.ก.": [{ORTH: "ส.ก."}],
    "สจ.": [{ORTH: "สจ."}],
    "สว.": [{ORTH: "สว."}],
    "ส.ส.": [{ORTH: "ส.ส."}],
    # ทั่วไป / general
    "ก.ข.ค.": [{ORTH: "ก.ข.ค."}],
    "กทม.": [{ORTH: "กทม."}],
    "กรุงเทพฯ": [{ORTH: "กรุงเทพฯ"}],
    "ขรก.": [{ORTH: "ขรก."}],
    "ขส": [{ORTH: "ขส."}],
    "ค.ร.น.": [{ORTH: "ค.ร.น."}],
    "ค.ร.ม.": [{ORTH: "ค.ร.ม."}],
    "ง.ด.": [{ORTH: "ง.ด."}],
    "งป.": [{ORTH: "งป."}],
    "จก.": [{ORTH: "จก."}],
    "จขกท.": [{ORTH: "จขกท."}],
    "จนท.": [{ORTH: "จนท."}],
    "จ.ป.ร.": [{ORTH: "จ.ป.ร."}],
    "จ.ม.": [{ORTH: "จ.ม."}],
    "จย.": [{ORTH: "จย."}],
    "จยย.": [{ORTH: "จยย."}],
    "ตจว.": [{ORTH: "ตจว."}],
    "โทร.": [{ORTH: "โทร."}],
    "ธ.": [{ORTH: "ธ."}],
    "น.ร.": [{ORTH: "น.ร."}],
    "น.ศ.": [{ORTH: "น.ศ."}],
    "น.ส.": [{ORTH: "น.ส."}],
    "น.ส.๓": [{ORTH: "น.ส.๓"}],
    "น.ส.๓ ก.": [{ORTH: "น.ส.๓ ก"}],
    "นสพ.": [{ORTH: "นสพ."}],
    "บ.ก.": [{ORTH: "บ.ก."}],
    "บจก.": [{ORTH: "บจก."}],
    "บงล.": [{ORTH: "บงล."}],
    "บบส.": [{ORTH: "บบส."}],
    "บมจ.": [{ORTH: "บมจ."}],
    "บลจ.": [{ORTH: "บลจ."}],
    "บ/ช": [{ORTH: "บ/ช"}],
    "บร.": [{ORTH: "บร."}],
    "ปชช.": [{ORTH: "ปชช."}],
    "ปณ.": [{ORTH: "ปณ."}],
    "ปณก.": [{ORTH: "ปณก."}],
    "ปณส.": [{ORTH: "ปณส."}],
    "ปธ.": [{ORTH: "ปธ."}],
    "ปธน.": [{ORTH: "ปธน."}],
    "ปอ.": [{ORTH: "ปอ."}],
    "ปอ.พ.": [{ORTH: "ปอ.พ."}],
    "พ.ก.ง.": [{ORTH: "พ.ก.ง."}],
    "พ.ก.ส.": [{ORTH: "พ.ก.ส."}],
    "พขร.": [{ORTH: "พขร."}],
    "ภ.ง.ด.": [{ORTH: "ภ.ง.ด."}],
    "ภ.ง.ด.๙": [{ORTH: "ภ.ง.ด.๙"}],
    "ภ.ป.ร.": [{ORTH: "ภ.ป.ร."}],
    "ภ.พ.": [{ORTH: "ภ.พ."}],
    "ร.": [{ORTH: "ร."}],
    "ร.ง.": [{ORTH: "ร.ง."}],
    "ร.ด.": [{ORTH: "ร.ด."}],
    "รปภ.": [{ORTH: "รปภ."}],
    "รพ.": [{ORTH: "รพ."}],
    "ร.พ.": [{ORTH: "ร.พ."}],
    "รร.": [{ORTH: "รร."}],
    "รสก.": [{ORTH: "รสก."}],
    "ส.ค.ส.": [{ORTH: "ส.ค.ส."}],
    "สต.": [{ORTH: "สต."}],
    "สน.": [{ORTH: "สน."}],
    "สนข.": [{ORTH: "สนข."}],
    "สนง.": [{ORTH: "สนง."}],
    "สนญ.": [{ORTH: "สนญ."}],
    "ส.ป.ช.": [{ORTH: "ส.ป.ช."}],
    "สภ.": [{ORTH: "สภ."}],
    "ส.ล.น.": [{ORTH: "ส.ล.น."}],
    "สวญ.": [{ORTH: "สวญ."}],
    "สวป.": [{ORTH: "สวป."}],
    "สว.สส.": [{ORTH: "สว.สส."}],
    "ส.ห.": [{ORTH: "ส.ห."}],
    "สอ.": [{ORTH: "สอ."}],
    "สอท.": [{ORTH: "สอท."}],
    "เสธ.": [{ORTH: "เสธ."}],
    "หจก.": [{ORTH: "หจก."}],
    "ห.ร.ม.": [{ORTH: "ห.ร.ม."}],
}


TOKENIZER_EXCEPTIONS = _exc
